This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 470065 - Update F9->Rawhide does not work with Preupgrade
Update F9->Rawhide does not work with Preupgrade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 10:50 EST by Klaus Möllenhoff
Modified: 2014-01-21 18:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 17:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Klaus Möllenhoff 2008-11-05 10:50:28 EST
Description of problem: 
at "Download Boot Images" Preupgrade stops for a few hours. The console says:


[root@localhost ~]# preupgrade
Geladene Plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * anaconda-upgrade: fedora.mirror.garr.it
Checking for new repos for mirrors
Kein Paket stimmt zum Entfernen überein
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 198, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 206, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 349, in main_preupgrade
    self.pu.retrieve_treeinfo()
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 395, in retrieve_treeinfo
    self.instimage = cp.get('stage2', 'instimage')
  File "/usr/lib/python2.5/ConfigParser.py", line 520, in get
    raise NoOptionError(option, section)
ConfigParser.NoOptionError: No option 'instimage' in section: 'stage2'
^CTraceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 558, in <module>
    gtk.main()





Version-Release number of selected component (if applicable):


How reproducible: start preupgrade in f9 and start upgrade to rawhide


Steps to Reproduce:
1.
2.
3.
  
Actual results: nothing happens after downloading packages


Expected results: should upgrade to rawhide


Additional info:
Comment 1 Klaus Möllenhoff 2008-11-05 10:51:00 EST
version number:  0.9.3-3.fc9
Comment 2 Klaus Möllenhoff 2008-11-05 17:32:04 EST
with preupgrade from rawhide it works.... dont know if its because of a new version of yum or of preupgrade....

Note You need to log in before you can comment on or make changes to this bug.